/*
    Ethernet frame internals.
*/

#define ADDR_SIZE	6
#define TYPE_SIZE	2

#define DADDR_OFFSET	0
#define SADDR_OFFSET	(DADDR_OFFSET + ADDR_SIZE)
#define TYPE_OFFSET	(SADDR_OFFSET + ADDR_SIZE)
#define DATA_OFFSET	(TYPE_OFFSET + TYPE_SIZE)

/*
    Packet sizes with respect to messages.
*/

#define ENI_MTU			(ETHERMTU - TYPE_SIZE)
#define ENI_PACKET_SIZE		(ETHERHDRSIZE + ETHERMTU - TYPE_SIZE)

/*
    External defs.
*/

extern int eni_get_packet(unsigned char *packet, int *len) ;
extern int eni_init(void) ;
extern int eni_send_packet(unsigned char *dst_addr, u_short frame_type,
			   void *data, int dlen) ;
#if 0
extern int eni_stats(struct eni_stats *es) ;
#endif
